Path parameters
Section titled “Path parameters”-
id(string, path, required)The order’s unique identifier (UUID).
Response
Section titled “Response”-
order(object, required)The order object.
Order properties:
-
id(string, required)Unique order identifier (UUID).
-
name(string, required)Order name/number, e.g.
#1001. -
email(string, required)Customer email address.
-
phone(string | null)Customer phone number.
-
financial_status(string | null)Financial status:
paid,pending,partially_paid,partially_refunded,refunded,voided, orauthorized. -
fulfillment_status(string | null)Fulfillment status, e.g.
fulfilled,partial. -
total_price(string | null)Total price of the order.
-
currency(string | null)ISO 4217 currency code, e.g.
USD. -
created_at(string, required)ISO 8601 timestamp of when the order was created in Shopify.
-
download_count(integer, required)Total number of file downloads for this order.
-
Example request
curl -X GET 'https://app.filemonk.io/api/v1/external/orders/a1b2c3d4-e5f6-7890-abcd-ef1234567890' \ -H 'X-Auth-Token: fm_api_key_your_key_here'const orderId = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890';const response = await fetch( `https://app.filemonk.io/api/v1/external/orders/${orderId}`, { headers: { 'X-Auth-Token': 'fm_api_key_your_key_here' } });const data = await response.json();order_id = 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'response = requests.get( f'https://app.filemonk.io/api/v1/external/orders/{order_id}', headers={'X-Auth-Token': 'fm_api_key_your_key_here'})data = response.json()Example response
{ "order": { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "name": "#1042", "email": "customer@example.com", "phone": "+1234567890", "financial_status": "paid", "fulfillment_status": "fulfilled", "total_price": "29.99", "currency": "USD", "created_at": "2026-03-01T14:30:00Z", "download_count": 3 }}{ "error": "Order not found"}Thanks for letting us know.
Still stuck? Ask Quinn or chat with support